//
// Vivado(TM)
// rundef.js: a Vivado-generated Runs Script for WSH 5.1/5.6
// Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
// Copyright 2022-2025 Advanced Micro Devices, Inc. All Rights Reserved.
//

echo "This script was generated under a different operating system."
echo "Please update the PATH variable below, before executing this script"
exit

var WshShell = new ActiveXObject( "WScript.Shell" );
var ProcEnv = WshShell.Environment( "Process" );
var PathVal = ProcEnv("PATH");
if ( PathVal.length == 0 ) {
  PathVal = "/proj/xbuilds/SWIP/2025.2_1114_2157/installs/lin64/2025.2/Vitis/bin:/proj/xbuilds/SWIP/2025.2_1114_2157/installs/lin64/2025.2/Vivado/ids_lite/ISE/bin/lin64;/proj/xbuilds/SWIP/2025.2_1114_2157/installs/lin64/2025.2/Vivado/bin;";
} else {
  PathVal = "/proj/xbuilds/SWIP/2025.2_1114_2157/installs/lin64/2025.2/Vitis/bin:/proj/xbuilds/SWIP/2025.2_1114_2157/installs/lin64/2025.2/Vivado/ids_lite/ISE/bin/lin64;/proj/xbuilds/SWIP/2025.2_1114_2157/installs/lin64/2025.2/Vivado/bin;" + PathVal;
}

ProcEnv("PATH") = PathVal;

var RDScrFP = WScript.ScriptFullName;
var RDScrN = WScript.ScriptName;
var RDScrDir = RDScrFP.substr( 0, RDScrFP.length - RDScrN.length - 1 );
var ISEJScriptLib = RDScrDir + "/ISEWrap.js";
eval( EAInclude(ISEJScriptLib) );


ISEStep( "vivado",
         "-log scu35_io_design_clk_wiz_1_0.vds -m64 -product Vivado -mode batch -messageDb vivado.pb -notrace -source scu35_io_design_clk_wiz_1_0.tcl" );



function EAInclude( EAInclFilename ) {
  var EAFso = new ActiveXObject( "Scripting.FileSystemObject" );
  var EAInclFile = EAFso.OpenTextFile( EAInclFilename );
  var EAIFContents = EAInclFile.ReadAll();
  EAInclFile.Close();
  return EAIFContents;
}
